package com.example.demo.messages.repository;

import java.util.List;
import java.util.Optional;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.example.demo.messages.model.MessageEntity;

public interface MessageRepository
        extends CrudRepository<MessageEntity, Long>, PagingAndSortingRepository<MessageEntity, Long> {
    List<MessageEntity> findByPersonId(Long personId);

    Page<MessageEntity> findByPersonId(Long personId, Pageable pageable);

    Optional<MessageEntity> findById(Long Id);

}