package com.example.demo.posts.repository;

import java.util.Optional;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.example.demo.posts.model.PostEntity;

public interface PostRepository
        extends CrudRepository<PostEntity, Long>, PagingAndSortingRepository<PostEntity, Long> {

    Optional<PostEntity> findById(Long Id);

}