package com.example.demo;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

public class UserDto {
    private Integer groupId;
    private Integer senderId;
    private String msg;
    private String time;

    public UserDto() {
    }

    @JsonCreator
    public UserDto(
            @JsonProperty(value = "groupId") Integer groupId,
            @JsonProperty(value = "senderId") Integer senderId,
            @JsonProperty(value = "msg") String msg,
            @JsonProperty(value = "time") String time) {
        this.groupId = groupId;
        this.senderId = senderId;
        this.msg = msg;
        this.time = time;
    }

    public Integer getGroupId() {
        return groupId;
    }

    public Integer getSenderId() {
        return senderId;
    }

    public String getMsg() {
        return msg;
    }

    public String getTime() {
        return time;
    }

}
