package com.example.demo.comments.repository;

import java.util.Optional;

import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.example.demo.comments.model.CommentEntity;

public interface CommentRepository
        extends CrudRepository<CommentEntity, Long>, PagingAndSortingRepository<CommentEntity, Long> {

    Optional<CommentEntity> findById(Long Id);
}