package com.example.demo.posts.repository;

import java.util.Optional;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.example.demo.posts.model.PostEntity;

public interface PostRepository
        extends CrudRepository<PostEntity, Long>, PagingAndSortingRepository<PostEntity, Long> {

    @Query("SELECT p FROM PostEntity p ORDER BY p.id DESC")
    Page<PostEntity> findAllDesc(Pageable page);

    Optional<PostEntity> findById(Long Id);

}